# studio::LayerTreeStore::Model Class Reference

`#include <layertreestore.h>`

List of all members.

## Public Member Functions

| Model ()

## Public Attributes

Gtk::TreeModelColumn < Glib::RefPtr< Gdk::Pixbuf > > | icon
Gtk::TreeModelColumn < Glib::ustring > | label
Gtk::TreeModelColumn < Glib::ustring > | name
Gtk::TreeModelColumn < Glib::ustring > | id
Gtk::TreeModelColumn < synfig::Canvas::Handle > | canvas
Gtk::TreeModelColumn < Glib::ustring > | tooltip
Gtk::TreeModelColumn< bool > | active
Gtk::TreeModelColumn < synfig::Layer::Handle > | layer
Gtk::TreeModelColumn < synfig::Canvas::Handle > | contained_canvas
Gtk::TreeModelColumn< bool > | children_lock
Gtk::TreeModelColumn< float > | z_depth
Gtk::TreeModelColumn< int > | index

## Constructor & Destructor Documentation

studio::LayerTreeStore::Model::Model | ( |  | ) | `[inline]`

References active, canvas, children_lock, contained_canvas, icon, id, index, label, layer, name, tooltip, and z_depth.

## Member Data Documentation

Gtk::TreeModelColumn<Glib::RefPtr<Gdk::Pixbuf> > studio::LayerTreeStore::Model::icon

Referenced by Model().

Gtk::TreeModelColumn<Glib::ustring> studio::LayerTreeStore::Model::label

Referenced by Model(), and studio::LayerTreeStore::search_func().

Gtk::TreeModelColumn<Glib::ustring> studio::LayerTreeStore::Model::name

Referenced by Model().

Gtk::TreeModelColumn<Glib::ustring> studio::LayerTreeStore::Model::id

Referenced by Model().

Gtk::TreeModelColumn<synfig::Canvas::Handle> studio::LayerTreeStore::Model::canvas

Referenced by Model().

Gtk::TreeModelColumn<Glib::ustring> studio::LayerTreeStore::Model::tooltip

Referenced by Model().

Gtk::TreeModelColumn<bool> studio::LayerTreeStore::Model::active

Referenced by Model().

Gtk::TreeModelColumn<synfig::Layer::Handle> studio::LayerTreeStore::Model::layer

Referenced by __layer_grabber(), Model(), studio::LayerTreeStore::refresh_row(), and studio::LayerTreeStore::set_row_layer().

Gtk::TreeModelColumn<synfig::Canvas::Handle> studio::LayerTreeStore::Model::contained_canvas

Referenced by Model(), and studio::LayerTreeStore::set_row_layer().

Gtk::TreeModelColumn<bool> studio::LayerTreeStore::Model::children_lock

Referenced by Model(), and studio::LayerTree::select_all_children().

Gtk::TreeModelColumn<float> studio::LayerTreeStore::Model::z_depth

Referenced by Model(), studio::LayerTreeStore::refresh_row(), and studio::LayerTreeStore::z_sorter().

Gtk::TreeModelColumn<int> studio::LayerTreeStore::Model::index

Referenced by studio::LayerTreeStore::index_sorter(), and Model().

The documentation for this class was generated from the following file:

- layertreestore.h